OpenCommand (Grails 6.0.0)

Package: org.grails.cli.profile.commands

## [Groovy] Class OpenCommand

- org.grails.cli.profile.commands.OpenCommand

- All Implemented Interfaces and Traits:
    ProjectCommand, jline.console.completer.Completer

      @groovy.transform.CompileStatic
      class OpenCommand
      extends java.lang.Object
      implements ProjectCommand, jline.console.completer.Completer

  Authors:
    graemerocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` |
    `private CommandDescription` | `description` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandDescription` | `description`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `OpenCommand ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)`
    `` | `java.lang.String` | `getName()`
    `` | `boolean` | `handle(ExecutionContext executionContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String NAME

    - #### private CommandDescription description

  - ### Property Detail

    - #### CommandDescription description

  - ### Constructor Detail

    - #### OpenCommand()

  - ### Method Detail

    - #### @java.lang.Override int complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)

    - #### @java.lang.Override java.lang.String getName()

    - #### @java.lang.Override boolean handle(ExecutionContext executionContext)